%bcond_with bootstrap

Name:           jakarta-servlet
Version:        5.0.0
Release:        %mkrel 13
Summary:        Server-side API for handling HTTP requests and responses
# most of the project is EPL-2.0 or GPLv2 w/exceptions,
# but some files still have Apache-2.0 license headers:
# https://github.com/eclipse-ee4j/servlet-api/issues/347
License:        (EPL-2.0 or GPLv2 with exceptions) and ASL 2.0
URL:            https://github.com/eclipse-ee4j/servlet-api
BuildArch:      noarch

Group:          Development/Java
Source0:        https://github.com/eclipse-ee4j/servlet-api/archive/%{version}-RELEASE/servlet-api-%{version}.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
%endif

Provides:       glassfish-servlet-api = %{version}-%{release}

%description
Jakarta Servlet defines a server-side API for handling HTTP requests
and responses.

%{?javadoc_package}

%prep
%setup -q -n servlet-api-%{version}-RELEASE

# remove unnecessary dependency on parent POM
%pom_remove_parent . api

# do not build specification documentation
%pom_disable_module spec

# Copy to old package name
# TODO: Remove when all dependencies are migrated from javax.servlet to jakarta.servlet
cp -pr api/src/main/java/jakarta api/src/main/java/javax
sed -i -e 's/jakarta\./javax./g' $(find api/src/main/java/javax -name *.java)
%pom_xpath_replace pom:instructions/pom:Export-Package \
  '<Export-Package>jakarta.servlet.*,javax.servlet.*;version="4.0.0"</Export-Package>' api

# do not install useless parent POM
%mvn_package jakarta.servlet:servlet-parent __noinstall

# remove unnecessary maven plugins
%pom_remove_plugin -r :formatter-maven-plugin
%pom_remove_plugin -r :impsort-maven-plugin
%pom_remove_plugin -r :maven-enforcer-plugin
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin -r :maven-source-plugin

# add maven artifact coordinate aliases for backwards compatibility
%mvn_alias jakarta.servlet:jakarta.servlet-api \
    javax.servlet:javax.servlet-api \
    javax.servlet:servlet-api

# add compat symlink for packages constructing the classpath manually
%mvn_file :{*} %{name}/@1 glassfish-servlet-api

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.md NOTICE.md
%doc README.md



%changelog
* Fri May 24 2024 ns80 <ns80> 5.0.0-13.mga10
+ Revision: 2066997
- rebuild for java 21

* Mon Jul 25 2022 neoclust <neoclust> 5.0.0-12.mga9
+ Revision: 1871032
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 5.0.0-11.mga9
+ Revision: 1870319
- Fix BR for bootstrap
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Dec 08 2020 neoclust <neoclust> 5.0.0-2.mga8
+ Revision: 1654647
- Add provide workaround

* Fri Sep 04 2020 daviddavid <daviddavid> 5.0.0-1.mga8
+ Revision: 1621767
- Update to 5.0.0
- Also ship the API in the old javax namespace to aid transition
- Add compat symlink for packages constructing the classpath manually
- Correct mvn_file macro invokation
- package renamed to jakarta-servlet

* Wed Feb 12 2020 umeabot <umeabot> 3.1.0-14.mga8
+ Revision: 1506453
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 3.1.0-13.mga7
+ Revision: 1261692
- Mageia 7 Mass Rebuild

* Sun May 14 2017 neoclust <neoclust> 3.1.0-12.mga6
+ Revision: 1101327
- add missing build requires

* Wed Mar 02 2016 neoclust <neoclust> 3.1.0-11.mga6
+ Revision: 982609
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.1.0-10.mga6
+ Revision: 976265
- First rebuild of the java stack
- sync package glassfish-servlet-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon May 18 2015 luigiwalser <luigiwalser> 3.1.0-7.mga5
+ Revision: 822337
- obsoletes servletapi4 and xt-dash1

* Wed Dec 24 2014 pterjan <pterjan> 3.1.0-6.mga5
+ Revision: 805510
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 3.1.0-5.mga5
+ Revision: 740762
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 3.1.0-3.mga4
+ Revision: 537567
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 3.1.0-2.mga4
+ Revision: 487235
- imported package glassfish-servlet-api

